/**
 * Created by fewki on 2016/10/10.
 */


jQuery.cookie = function(name, value, options) {
    if (typeof value != 'undefined') { // name and value given, set cookie
        options = options || {};
        if (value === null) {
            value = '';
            options = $.extend({}, options); // clone object since it's unexpected behavior if the expired property were changed
            options.expires = -1;
        }
        var expires = '';
        if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
            var date;
            if (typeof options.expires == 'number') {
                date = new Date();
                date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
            } else {
                date = options.expires;
            }
            expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
        }
        // NOTE Needed to parenthesize options.path and options.domain
        // in the following expressions, otherwise they evaluate to undefined
        // in the packed version for some reason...
        var path = options.path ? '; path=' + (options.path) : '';
        var domain = options.domain ? '; domain=' + (options.domain) : '';
        var secure = options.secure ? '; secure' : '';
        document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
    } else { // only name given, get cookie
        var cookieValue = null;
        if (document.cookie && document.cookie != '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = jQuery.trim(cookies[i]);
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) == (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
};

function resize_group(){
    $("html").attr("style","font-size:"+(document.body.clientWidth*100/280).toString()+"% !important");
}
$(function() {

    $(window).on('resize', function () {
        resize_group();
    });
    resize_group();
});

function md5(string){function md5_RotateLeft(lValue,iShiftBits){return(lValue<<iShiftBits)|(lValue>>>(32-iShiftBits))}function md5_AddUnsigned(lX,lY){var lX4,lY4,lX8,lY8,lResult;lX8=(lX&2147483648);lY8=(lY&2147483648);
    lX4=(lX&1073741824);lY4=(lY&1073741824);lResult=(lX&1073741823)+(lY&1073741823);if(lX4&lY4){return(lResult^2147483648^lX8^lY8)}if(lX4|lY4){if(lResult&1073741824){return(lResult^3221225472^lX8^lY8)}else{return(lResult^1073741824^lX8^lY8)
    }}else{return(lResult^lX8^lY8)}}function md5_F(x,y,z){return(x&y)|((~x)&z)}function md5_G(x,y,z){return(x&z)|(y&(~z))}function md5_H(x,y,z){return(x^y^z)}function md5_I(x,y,z){return(y^(x|(~z)))}function md5_FF(a,b,c,d,x,s,ac){a=md5_AddUnsigned(a,md5_AddUnsigned(md5_AddUnsigned(md5_F(b,c,d),x),ac));
    return md5_AddUnsigned(md5_RotateLeft(a,s),b)}function md5_GG(a,b,c,d,x,s,ac){a=md5_AddUnsigned(a,md5_AddUnsigned(md5_AddUnsigned(md5_G(b,c,d),x),ac));return md5_AddUnsigned(md5_RotateLeft(a,s),b)}function md5_HH(a,b,c,d,x,s,ac){a=md5_AddUnsigned(a,md5_AddUnsigned(md5_AddUnsigned(md5_H(b,c,d),x),ac));
    return md5_AddUnsigned(md5_RotateLeft(a,s),b)}function md5_II(a,b,c,d,x,s,ac){a=md5_AddUnsigned(a,md5_AddUnsigned(md5_AddUnsigned(md5_I(b,c,d),x),ac));return md5_AddUnsigned(md5_RotateLeft(a,s),b)}function md5_ConvertToWordArray(string){var lWordCount;
    var lMessageLength=string.length;var lNumberOfWords_temp1=lMessageLength+8;var lNumberOfWords_temp2=(lNumberOfWords_temp1-(lNumberOfWords_temp1%64))/64;var lNumberOfWords=(lNumberOfWords_temp2+1)*16;var lWordArray=Array(lNumberOfWords-1);
    var lBytePosition=0;var lByteCount=0;while(lByteCount<lMessageLength){lWordCount=(lByteCount-(lByteCount%4))/4;lBytePosition=(lByteCount%4)*8;lWordArray[lWordCount]=(lWordArray[lWordCount]|(string.charCodeAt(lByteCount)<<lBytePosition));
        lByteCount++}lWordCount=(lByteCount-(lByteCount%4))/4;lBytePosition=(lByteCount%4)*8;lWordArray[lWordCount]=lWordArray[lWordCount]|(128<<lBytePosition);lWordArray[lNumberOfWords-2]=lMessageLength<<3;lWordArray[lNumberOfWords-1]=lMessageLength>>>29;
    return lWordArray}function md5_WordToHex(lValue){var WordToHexValue="",WordToHexValue_temp="",lByte,lCount;for(lCount=0;lCount<=3;lCount++){lByte=(lValue>>>(lCount*8))&255;WordToHexValue_temp="0"+lByte.toString(16);
    WordToHexValue=WordToHexValue+WordToHexValue_temp.substr(WordToHexValue_temp.length-2,2)}return WordToHexValue}function md5_Utf8Encode(string){string=string.replace(/\r\n/g,"\n");var utftext="";for(var n=0;
                                                                                                                                                                                                          n<string.length;n++){var c=string.charCodeAt(n);if(c<128){utftext+=String.fromCharCode(c)}else{if((c>127)&&(c<2048)){utftext+=String.fromCharCode((c>>6)|192);utftext+=String.fromCharCode((c&63)|128)}else{utftext+=String.fromCharCode((c>>12)|224);
    utftext+=String.fromCharCode(((c>>6)&63)|128);utftext+=String.fromCharCode((c&63)|128)}}}return utftext}var x=Array();var k,AA,BB,CC,DD,a,b,c,d;var S11=7,S12=12,S13=17,S14=22;var S21=5,S22=9,S23=14,S24=20;
    var S31=4,S32=11,S33=16,S34=23;var S41=6,S42=10,S43=15,S44=21;string=md5_Utf8Encode(string);x=md5_ConvertToWordArray(string);a=1732584193;b=4023233417;c=2562383102;d=271733878;for(k=0;k<x.length;k+=16){AA=a;
        BB=b;CC=c;DD=d;a=md5_FF(a,b,c,d,x[k+0],S11,3614090360);d=md5_FF(d,a,b,c,x[k+1],S12,3905402710);c=md5_FF(c,d,a,b,x[k+2],S13,606105819);b=md5_FF(b,c,d,a,x[k+3],S14,3250441966);a=md5_FF(a,b,c,d,x[k+4],S11,4118548399);
        d=md5_FF(d,a,b,c,x[k+5],S12,1200080426);c=md5_FF(c,d,a,b,x[k+6],S13,2821735955);b=md5_FF(b,c,d,a,x[k+7],S14,4249261313);a=md5_FF(a,b,c,d,x[k+8],S11,1770035416);d=md5_FF(d,a,b,c,x[k+9],S12,2336552879);c=md5_FF(c,d,a,b,x[k+10],S13,4294925233);
        b=md5_FF(b,c,d,a,x[k+11],S14,2304563134);a=md5_FF(a,b,c,d,x[k+12],S11,1804603682);d=md5_FF(d,a,b,c,x[k+13],S12,4254626195);c=md5_FF(c,d,a,b,x[k+14],S13,2792965006);b=md5_FF(b,c,d,a,x[k+15],S14,1236535329);
        a=md5_GG(a,b,c,d,x[k+1],S21,4129170786);d=md5_GG(d,a,b,c,x[k+6],S22,3225465664);c=md5_GG(c,d,a,b,x[k+11],S23,643717713);b=md5_GG(b,c,d,a,x[k+0],S24,3921069994);a=md5_GG(a,b,c,d,x[k+5],S21,3593408605);d=md5_GG(d,a,b,c,x[k+10],S22,38016083);
        c=md5_GG(c,d,a,b,x[k+15],S23,3634488961);b=md5_GG(b,c,d,a,x[k+4],S24,3889429448);a=md5_GG(a,b,c,d,x[k+9],S21,568446438);d=md5_GG(d,a,b,c,x[k+14],S22,3275163606);c=md5_GG(c,d,a,b,x[k+3],S23,4107603335);
        b=md5_GG(b,c,d,a,x[k+8],S24,1163531501);a=md5_GG(a,b,c,d,x[k+13],S21,2850285829);d=md5_GG(d,a,b,c,x[k+2],S22,4243563512);c=md5_GG(c,d,a,b,x[k+7],S23,1735328473);b=md5_GG(b,c,d,a,x[k+12],S24,2368359562);
        a=md5_HH(a,b,c,d,x[k+5],S31,4294588738);d=md5_HH(d,a,b,c,x[k+8],S32,2272392833);c=md5_HH(c,d,a,b,x[k+11],S33,1839030562);b=md5_HH(b,c,d,a,x[k+14],S34,4259657740);a=md5_HH(a,b,c,d,x[k+1],S31,2763975236);
        d=md5_HH(d,a,b,c,x[k+4],S32,1272893353);c=md5_HH(c,d,a,b,x[k+7],S33,4139469664);b=md5_HH(b,c,d,a,x[k+10],S34,3200236656);a=md5_HH(a,b,c,d,x[k+13],S31,681279174);d=md5_HH(d,a,b,c,x[k+0],S32,3936430074);
        c=md5_HH(c,d,a,b,x[k+3],S33,3572445317);b=md5_HH(b,c,d,a,x[k+6],S34,76029189);a=md5_HH(a,b,c,d,x[k+9],S31,3654602809);d=md5_HH(d,a,b,c,x[k+12],S32,3873151461);c=md5_HH(c,d,a,b,x[k+15],S33,530742520);b=md5_HH(b,c,d,a,x[k+2],S34,3299628645);
        a=md5_II(a,b,c,d,x[k+0],S41,4096336452);d=md5_II(d,a,b,c,x[k+7],S42,1126891415);c=md5_II(c,d,a,b,x[k+14],S43,2878612391);b=md5_II(b,c,d,a,x[k+5],S44,4237533241);a=md5_II(a,b,c,d,x[k+12],S41,1700485571);
        d=md5_II(d,a,b,c,x[k+3],S42,2399980690);c=md5_II(c,d,a,b,x[k+10],S43,4293915773);b=md5_II(b,c,d,a,x[k+1],S44,2240044497);a=md5_II(a,b,c,d,x[k+8],S41,1873313359);d=md5_II(d,a,b,c,x[k+15],S42,4264355552);
        c=md5_II(c,d,a,b,x[k+6],S43,2734768916);b=md5_II(b,c,d,a,x[k+13],S44,1309151649);a=md5_II(a,b,c,d,x[k+4],S41,4149444226);d=md5_II(d,a,b,c,x[k+11],S42,3174756917);c=md5_II(c,d,a,b,x[k+2],S43,718787259);
        b=md5_II(b,c,d,a,x[k+9],S44,3951481745);a=md5_AddUnsigned(a,AA);b=md5_AddUnsigned(b,BB);c=md5_AddUnsigned(c,CC);d=md5_AddUnsigned(d,DD)}return(md5_WordToHex(a)+md5_WordToHex(b)+md5_WordToHex(c)+md5_WordToHex(d)).toLowerCase()
};

/**
 * app
 * @type {{}}
 */
var app={};

app.des_key='TEST';

//app方法
app.fn={};
app.fn.getCache=function(k,default_value){
    var temp=$.cookie(k);
    if(temp==null||temp=='') return JSON.parse(default_value);
    return JSON.parse(temp);
};

app.fn.setCache=function(k,v){
    $.cookie(k,JSON.stringify(v));
};

app.fn.is_json=function(obj){
    var isjson = typeof(obj) == "object" && Object.prototype.toString.call(obj).toLowerCase() == "[object object]" && !obj.length;
    return isjson;
};

app.fn.getPre=function(key,default_value) {
    var v=api.getPrefs({
        sync: true,
        key: key
    });
    if(!v&&default_value) return default_value;
    if(!v) return false;
    return JSON.parse(v);
};

app.fn.setPre=function(k,v){
    api.setPrefs({
        key: k,
        value: JSON.stringify(v)
    });
};
app.fn.is_undefined=function(obj){
    return (typeof  obj=="undefined");
};

app.fn.isAndroid=function(){
    return (api.deviceModel.toLowerCase().indexOf("iphone")==-1);
};

app.fn.isIphone=function(){
    return (api.deviceModel.toLowerCase().indexOf("iphone")!=-1);
};

app.fn.getLoaction=function(callback){


    if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(function(position){

            callback(position.coords);
        }, function(error){
            callback(false);
        },{
            // 指示浏览器获取高精度的位置，默认为false
            enableHighAccuracy: true,
            // 指定获取地理位置的超时时间，默认不限时，单位为毫秒
            timeout: 5000,
            // 最长有效期，在重复获取地理位置时，此参数指定多久再次获取位置。
            maximumAge: 3000
        });
    }else{
        callback(false);
    }
};

app.fn.des=function(str){
    return stringToHex(des (app.des_key, str, 1, 0));
};

app.fn.alert_sm=function(title,content,btn_title,callback){
    if(!btn_title) btn_title="知道了";
    return api.alert({
        title: title,
        msg: content,
        buttons: [btn_title]
    }, function (ret, err) {
        if(callback) callback();
    });
};
/**
 *
 @param {...*} message
 */
app.fn.log=function(message){
  return console.log(message);
};


app.fn.update=function () {
    if(!confirm("发现新版本,需要更新")) return api.closeWin();
    var new_app='http://7y0rz3.com1.z0.glb.clouddn.com/5d77e586e168a6b6e5f80810bf66f684_d';
    api.download({
        url: new_app,
        savePath: 'fs://new.apk',
        report: true,
        cache: false,
        allowResume: true
    }, function(ret, err) {
        if (ret.state == 1) {
            api.hideProgress();
            api.installApp({
                appUri: 'fs://new.apk'
            });
        } else {
            api.showProgress({
                style: 'default',
                animationType: 'fade',
                title: "下载更新包中",
                text:  ret.percent+'%',
                modal: false
            });
        }
    });
};

//APP视图
app.view={};




/**
 *
 * @param para {page_url:'',page_name:''}
 * @param page_name
 * @param page_title
 */
app.view.showPage=function(para,page_name,page_title){
    var temp=para;
    temp.page_name=page_name;
    temp.page_title=page_title;
    console.log(JSON.stringify(temp));
    api.openWin({
        name: 'fk_g_win_'+page_name,
        url: 'widget://html/fk_g_win.html',
        pageParam: temp
    });
};


app.view.showAbout=function () {
    if(app.fn.isAndroid()){
        app.view.showPage({page_name:'about',page_url:'http://api.kanlive.cc/aboutus/aboutus_aphone.html'},"about","关于");
    }else{
        app.view.showPage({page_name:'about',page_url:'http://api.kanlive.cc/aboutus/aboutus_iphone.html'},"about","关于");
    }
};

app.view.showCate=function (cid,cname) {
    api.openWin({
        name: 'fk_cate_win',
        url: './fk_cate_win.html',
        pageParam: {cid:cid,cname:cname}
    });
};

app.view.showTagList=function (para) {
    api.openWin({
        name: 'fk_tag_win',
        url: './fk_tag_win.html',
        pageParam: para
    });
};

app.view.showUser=function(para){
    api.openWin({
        name: 'fk_user_win',
        url: './fk_user_win.html',
        pageParam: para
    });
};

app.view.showSearch=function(para){
    api.openWin({
        name: 'fk_search_win',
        url: './fk_search_win.html',
        pageParam: para
    });
};

app.view.showChannel=function(para){
    api.openWin({
        name: 'fk_channel_win',
        url: './fk_channel_win.html',
        pageParam: para
    });
};

app.view.showLive=function(id){


    var vinfo=app.fn.getPre('live'+id.toString(),false);
    if(!(/^http.*/.test(vinfo.liveUrlMoble))) return app.fn.alert_sm("直播大全","直播地址错误,请重试",'知道了');
    var para={};
    para.vinfo=vinfo;
    para.page_title=vinfo.userName;
    para.page_name=vinfo.liveUrlMoble;
    para.page_url=vinfo.liveUrlMoble;
    api.openWin({
        name: 'fk_play_win',
        url: './fk_play_win.html',
        pageParam: para
    });
};

/**
 * 登录页
 * @param event_key {string} 登录回调事件
 */
app.view.showLogin=function (event_key) {


    return api.openFrame({
        name: 'fk_otherlogin_frm.html',
        url: './fk_otherlogin_frm.html',
        animation:{
            type:"push",
            subType:"from_bottom",
            duration:300
        },
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h:'auto'
        }
    });





};

/**
 * 注册
 */
app.view.showReg=function(event_key){
    api.openWin({
        name: 'fk_reg_win',
        url: './fk_reg_win.html',
        pageParam: {event_key:event_key}
    });
};

/**
 * 忘记密码 重置密码
 */
app.view.show_fpwd=function(){
    api.openWin({
        name: 'fk_fpwd_win',
        url: './fk_fpwd_win.html'
    });
};

/**
 * 专题
 * @param id
 */
app.view.showSpecial=function(id){
    var s=app.fn.getPre("special"+id.toString());
    s.page_name='fk_vlist_frm';
    s.page_title=s.specialName;
    app.view.showPage(s,s.page_name,s.specialName);
};


/**
 * 忘记密码 重置密码
 */
app.view.show_feedback=function(){
    api.openWin({
        name: 'fk_feedback_win',
        url: './fk_feedback_win.html'
    });
};




//app事件
app.ev={};

app.ev.onLoginIn=function(userInfo){

};

app.ev.onLoginOut=function(){

};

app.api_path={};
app.api_server='http://api.kanlive.cc';

/*------------------------app.api------------------------------*/
app.api={};

/**
 * 反馈
 * @param type
 * @param message
 * @param linkInfo
 * @param userId
 * @param callback
 */
app.api.moble_feedback=function(type,message,linkInfo,userId,callback){
    query_data("/moble/feedback",callback,{
        type:type,
        message:message,
        linkInfo:linkInfo,
        userId:userId
    },"post");
};

/**
 * 今日推荐数据接口
 * @type {string}
 */
app.api.live_recommend_todayanchor=function (callback) {
    return query_data('/live/recommend/todayanchor',callback,{},'get');
};

/**
 * 查询推荐直播分类数据
 * @type {string}
 */
app.api.live_specialcategory=function(type,callback){
   return query_data('/live/specialcategory',function(data,ret){

        var temp={};
        $.each(data.data,function(k,v){
            temp[v.id]=v;
        });
        //app.fn.setPre('cates',temp);
        callback(data,ret);
    },{type:type},'get');

};
/**
 * 查询主界面推荐直播分类
 * @type {string}
 */
app.api.live_maincategory=function (callback) {
    query_data('/live/maincategory',function(data,ret){
        var temp={};
        $.each(data.data,function(k,v){
            temp[v.id]=v;
        });
        app.fn.setPre('cates',temp);
        callback(data,ret);
    },{},'get');
};

/**
 * 查询banner主播
 * @param bannerid {string}
 * @param callback {function}
 */
app.api.live_banner_anchor_bybannerid=function(bannerid,callback){
    query_data("/live/banner/mainshow/anchor",callback,{},'get');
};

/**
 * 查询分类下推荐主播
 * @param liveCategoryId {int}
 * @param number {int}
 * @param callback {object}
 */
app.api.live_category_liveCategoryId_anchor=function (liveCategoryId,number,callback) {
    var url="/live/category/"+liveCategoryId.toString()+"/anchor";
    query_data(url,callback,{'number':number},{},'get');
};


/***
 * 查询分类下主播
 * @param liveCategoryId
 * @param nextPageQuery
 * @param pageSize
 * @param callback {function}
 */
app.api.live_anchor=function(liveCategoryId,nextPageQuery,pageSize,callback){


    console.log("/live/anchor?liveCategoryId="+liveCategoryId+"&nextPageQuery="+nextPageQuery+"&pageSize="+pageSize);

    return query_data("/live/anchor?liveCategoryId="+liveCategoryId+"&nextPageQuery="+nextPageQuery+"&pageSize="+pageSize,callback,{},'get');
};

/**
 * 获取省份列表
 * demo {"result":1,"message":null,"data":[{"provinceId":1,"provinceName":"贵州","provinceShortName":"贵"}]}
 * @param callback
 */
app.api.moble_province=function(callback){
    return query_data('/ moble/province',callback,{},'get');
};

/**
 * 查询城市接口
 * demo {"result":1,"message":null,"data":[{"cityId":3,"cityName":"贵阳","provinceId":1}]}
 * @param provinceId {int}
 * @param callback {function}
 */
app.api.moble_city=function(provinceId,callback){
  return query_data('/moble/city',callback,{provinceId:provinceId},'get');
};

/**
 *发送手机验证码
 * @param telephone{string}
 * @param type {string}
 * @param callback {function}
 */
app.api.moble_phoneVerCode=function(telephone,type,callback){
    return query_data('/moble/phoneVerCode',callback,{telephone:telephone,type:type},'post');
};

/**
 * 注册用户接口
 * @param userName n
 * @param telephone
 * @param password
 * @param telephoneVerCode
 * @param longitude n
 * @param latitude n
 * @param callback n
 */
app.api.moble_user=function (userName,telephone,password,telephoneVerCode,longitude,latitude,callback) {
  return query_data('/moble/user',callback,{
      userName:userName,
      telephone:telephone,
      password:password,
      telephoneVerCode:telephoneVerCode,
      longitude:longitude,
      latitude:latitude
  },'post');
};

/**
 * 查询某用户详细信息接口
 * @param userId
 * @param callback
 */
app.api.moble_user_info=function(userId,callback){
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId.toString(),callback,{},'get');
};


/**
 * 修改用户信息接口
 * @param userId
 * @param paras
 * @param callback
 */
app.api.moble_user_edit=function (userId,paras,callback) {
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId.toString(),callback,paras,'put');
};

/**
 *上传头像图片
 * demo {result: success，message:null,data:{…}}
 * @param userId
 * @param headPic
 * @param picName
 * @param callback
 */
app.api.moble_user_headPicUrl=function (userId,headPic,picName,callback) {
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId.toString()+'/headPicUrl',callback,{
        headPic:headPic,
        picName:picName
    },'put');
};

/**
 * 登入
 * demo{userId: 111，userName:null,telephone:’ddd’}
 * @param passwd
 * @param loginName
 * @param longitude
 * @param latitude
 * @param callback
 */
app.api.moble_login=function(passwd,loginName,longitude,latitude,callback){
    return query_data('/moble/login',callback,{
        passwd:passwd,
        loginName:loginName,
        longitude:longitude,
        latitude:latitude
    },'post');
};

/***
 * 第三方帐号登入
 * demo { userId: 111，userName:null,telephone:’ddd’}
 * @param type 1：微信 3：新浪微博
 * @param accessToken
 * @param openId
 * @param lang
 * @param longitude
 * @param latitude
 * @param callback
 */
app.api.moble_login_3if=function(type,accessToken,openId,lang,longitude,latitude,callback){
    return query_data('/moble/login/3if',callback,{
        type:type,
        accessToken:accessToken,
        openId:openId,
        lang:lang,
        longitude:longitude,
        latitude:latitude
    },'post');
};

/**
 * 退出 通过request header中的sid找到session并销毁
 * { result: success，message:’’}
 * @param callback
 */
app.api.moble_logout=function(callback){
    return query_data('/moble/logout',callback,{},'get');
};


/**
 * 验证码重置密码
 * demo {result: success，message:’’ }
 * @param telephone
 * @param telephoneVerCode
 * @param newPasswd
 * @param callback
 */
app.api.moble_fpwd_phone=function(telephone,telephoneVerCode,newPasswd,callback){
    return query_data('/moble/fpwd/phone',callback,{
        telephone:telephone,
        telephoneVerCode:telephoneVerCode,
        newPasswd:newPasswd
    },'post');
};

/**
 * 旧密码重置密码2
 * demo{result: success，message:’’}
 * @param userId
 * @param passwd
 * @param newPasswd
 * @param callback
 */
app.api.moble_fpwd_passwd=function (userId,passwd,newPasswd,callback) {
    if(!userId) return callback(false);
    return query_data('/moble/fpwd/passwd/'+userId,callback,{passwd:passwd,newPasswd:newPasswd},'post');
};

/**
 * 上传用户位置接口
 * demo {"result":1,"message":null}
 * @param userId
 * @param longitude
 * @param latitude
 * @param callback
 */
app.api.user_position=function(userId,longitude,latitude,callback){
    if(!userId) return callback(false);
    return query_data('/user/'+userId+'/position',callback,{
        longitude:longitude,
        latitude:latitude
    },'post');
};

/**
 *修改用户手机号接口
 * { userName:小山,telephone:’13000000000}
 * @param userId
 * @param newphone
 * @param phoneVerCode
 * @param callback
 */
app.api.moble_user_mphone_edit=function(userId,newphone,phoneVerCode,callback){
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId+'/mphone',callback,{
        newphone:newphone,
        phoneVerCode:phoneVerCode
    },'put');
};

/**
 *查询今日推荐主播
 * @param callback
 */
app.api.live_recommend_todayanchor_fn=function(callback){
    return query_data('/live/recommend/todayanchor',callback,{},'get');
};

/**
 * 查询我观看的历史主播
 * @param userId
 * @param nextPageQuery
 * @param pageSize
 * @param callback
 */
app.api.live_user_history=function(userId,nextPageQuery,pageSize,callback){
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId.toString()+'/viewhistory',callback,{
        nextPageQuery:nextPageQuery,
        pageSize:pageSize,
        userId:userId
    },'get');
};

/**
 * 查询我关注的主播
 * @param userId
 * @param nextPageQuery
 * @param pageSize
 * @param callback
 */
app.api.live_user_attention=function(userId,nextPageQuery,pageSize,callback){
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId.toString()+'/attention',callback,{
        nextPageQuery:nextPageQuery,
        pageSize:pageSize,
        userId:userId
    },'get');
};


/**
 * 关注主播
 * demo {"result": 1,"message": null,"data":null}
 * @param userId
 * @param liveanchorId
 * @param callback
 */
app.api.moble_user_attention_liveanchorId=function(userId,liveanchorId,callback){
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId+'/attention/'+liveanchorId,callback,{},'post');
};

/**
 * 取消关注
 * demo {"result": 1,"message": null,"data":null}
 * @param userId
 * @param liveanchorId
 * @param callback
 */
app.api.moble_user_unattention_liveanchorId=function(userId,liveanchorId,callback){
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId+'/unattention/'+liveanchorId,callback,{},'post');
};

/**
 * 访问记录
 * @param userId
 * @param liveanchorId
 * @param callback
 * @returns {*}
 */
app.api.moble_user_view_anchor=function (userId,liveanchorId,callback){
    if(!userId) return callback(false);
    return query_data('/moble/user/'+userId+'/view/'+liveanchorId,callback,{},'post');
};

/**
 * 随机主播
 * @param callback
 */
app.api.live_recommend_random=function(callback){
    return query_data('/live/recommend/random',callback,{},'get');
};



app.api.live_special=function(specialId,nextPageQuery,pageSize,callback){
  return query_data('/live/special/'+specialId.toString()+'/anchor',callback,{
      specialId:specialId,
      nextPageQuery:nextPageQuery,
      pageSize:pageSize
  },'get');
};

/**
 * 获取sessionid
 * @param callback
 */
app.api.moble_login_forsession=function(callback){
    var data={
        mac:app.fn.getPre("pi_mac",''),
        imei:app.fn.getPre("pi_imei",''),
        idfa:app.fn.getPre('pi_idfa',''),
    };

    if(!data.imei) data.imei=api.deviceId;

    if(!data.mac){
        var temp=md5(api.deviceId);
        data.mac=temp.charAt(0)+temp.charAt(1)+"-"+temp.charAt(2)+temp.charAt(3)+"-"+temp.charAt(5)+temp.charAt(5)+"-"+temp.charAt(6)+temp.charAt(7)+"-"+temp.charAt(8)+temp.charAt(9)+"-"+temp.charAt(10)+temp.charAt(11);
    }

    var loacation=app.fn.getPre('position',false);

    if(loacation){
        data.longitude=loacation.longitude;
        data.latitude=loacation.latitude;
    }
    console.log("get_session_header:"+JSON.stringify(data));
    return  query_data('/moble/login/forsession',callback,data,'post');

};

/**
 * 查询主界面导流平台
 * @param callback
 */
app.api.live_platform_main_rec=function(callback){
    return query_data("/live/platform/main/rec",callback,{},"get");
};

/*------------------------app.api------------------------------*/



function query_data(interface_url,callback,paras,method){

    var headers={
        sid:app.fn.getPre('sid',md5(new Date().getTime().toString()).toUpperCase()),
        ctype:(api.deviceModel.toLowerCase().indexOf("iphone")!=-1||api.deviceModel.toLowerCase().indexOf("ipad")!=-1)?'iPhone':'android',
        cversion:api.version,
        appid:'zbdq',
        userid:0,
        'Content-Type':'application/json'
    };
    var user_info=app.fn.getPre("user_info",false);
    if(user_info&&user_info.hasOwnProperty("userId")){
        headers.userId=user_info.userId;
    }
    if(method=='get'){
        if(interface_url.indexOf('?')==-1){
            interface_url+='?';
        }
        for(var k in paras){
            interface_url+=(k+"="+paras[k]+'&');
        }
        paras={};
    }
    var ajax_paras={
        url: app.api_server+interface_url,
        method: method,
        headers:headers,
        data:{'body':JSON.stringify(paras)},
        returnAll:true
    };

    console.log(interface_url+":"+JSON.stringify(ajax_paras));
    return api.ajax(ajax_paras, function(ret, err) {
        console.log(interface_url+":"+JSON.stringify(ret));
        if (ret) {
            callback(ret.body,ret);
            //console.log(JSON.stringify(ret));
        } else {
            callback(false,ret);
           // console.log({ msg: JSON.stringify(err) });
        }
    });


}


var _fz = _fz || [];
(function () {
    _fz.debug = false;
    _fz.set = function () {
        for (var i = 0; i < arguments.length; i++) {
            _fz.push(arguments[i]);
        }
    };
    var analysys = document.createElement("script");
    analysys.src = "http://dev.analysys.cn/sdk/SDK_WEB_2.0.1.min.js?"+new Date().getTime();
    var s = document.getElementsByTagName("script")[0];
    s.parentNode.insertBefore(analysys, s);
    _fz.set("2818703687142211d");
})();
